%define upstream_name    Devel-CallTrace
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    See what your code's doing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
There are a number of perl modules in the CPAN that are designed to trace a
program's execution as it runs. Each uses a different trick to do its job, but
none of them quite met my needs. The technique this module uses is quite simple
and seems to be quite robust.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-4.mga6
+ Revision: 1025492
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-3.mga6
+ Revision: 969061
- Mageia 6 Mass Rebuild

* Sat Aug 01 2015 shlomif <shlomif> 1.200.0-2.mga6
+ Revision: 860450
- Add description
- Rel bump to fix build SNAFU
- imported package perl-Devel-CallTrace


* Sun Dec 02 2012 cpan2dist 1.2-1mga
- initial mageia release, generated with cpan2dist
